Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.lang
Class MeetIntegPolicy

    java.lang.Object
      jif.lang.AbstractPolicy
          jif.lang.MeetPolicy
              jif.lang.MeetIntegPolicy

All Implemented Interfaces:
  IntegPolicy, Policy

    public final class MeetIntegPolicy

extends MeetPolicy
implements IntegPolicy

Represents the meet of integrity policies

Field Summary

Fields inherited from class jif.lang.AbstractPolicy
`labelUtil`

Method Summary
`IntegPolicy` | `join(IntegPolicy p)`
`IntegPolicy` | `join(IntegPolicy p, java.util.Set s)` Return the join of this policy and p.
`IntegPolicy` | `meet(IntegPolicy p)`
`IntegPolicy` | `meet(IntegPolicy p, java.util.Set s)` Return the meet of this policy and p.

Methods inherited from class jif.lang.MeetPolicy
`equals, hashCode, meetComponents, relabelsTo, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jif.lang.Policy
`relabelsTo`

Method Detail

### join

    public IntegPolicy join(IntegPolicy p,
                            java.util.Set s)

  Description copied from interface: `IntegPolicy`
  Return the join of this policy and p. The set s contains all delegations (i.e., DelegationPairs) that this join result depends upon.

  Specified by:
    `join` in interface `IntegPolicy`

### meet

    public IntegPolicy meet(IntegPolicy p,
                            java.util.Set s)

  Description copied from interface: `IntegPolicy`
  Return the meet of this policy and p. The set s contains all delegations (i.e., DelegationPairs) that this meet result depends upon.

  Specified by:
    `meet` in interface `IntegPolicy`

### join

    public IntegPolicy join(IntegPolicy p)

  Specified by:
    `join` in interface `IntegPolicy`

### meet

    public IntegPolicy meet(IntegPolicy p)

  Specified by:
    `meet` in interface `IntegPolicy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD